CachingGroovyEngine (Groovy 2.5.0)
Date: 2018-05-27

org.codehaus.groovy.bsf

## Class CachingGroovyEngine

- java.lang.Object
- - org.apache.bsf.util.BSFEngineImpl
  - - org.codehaus.groovy.bsf.GroovyEngine
    - - org.codehaus.groovy.bsf.CachingGroovyEngine

- All Implemented Interfaces:
    java.beans.PropertyChangeListener, java.util.EventListener, org.apache.bsf.BSFEngine

      public class CachingGroovyEngine
      extends GroovyEngine

  A Caching implementation of the GroovyEngine

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.bsf.GroovyEngine

      `shell`

    - ### Fields inherited from class org.apache.bsf.util.BSFEngineImpl

      `classLoader, classPath, declaredBeans, lang, mgr, tempDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingGroovyEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Evaluate an expression.
    `void` | `exec(java.lang.String source, int lineNo, int columnNo, java.lang.Object script)` Execute a script.
    `void` | `initialize(org.apache.bsf.BSFManager mgr, java.lang.String lang, java.util.Vector declaredBeans)` Initialize the engine.

    - ### Methods inherited from class org.codehaus.groovy.bsf.GroovyEngine

      `apply, call, declareBean, getEvalShell, undeclareBean`

    - ### Methods inherited from class org.apache.bsf.util.BSFEngineImpl

      `compileApply, compileExpr, compileScript, iexec, propertyChange, terminate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingGroovyEngine

          public CachingGroovyEngine()

  - ### Method Detail

    - #### eval

          public java.lang.Object eval(java.lang.String source,
                                       int lineNo,
                                       int columnNo,
                                       java.lang.Object script)
                                throws org.apache.bsf.BSFException

      Evaluate an expression.
      Specified by:
        `eval` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `eval` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`

    - #### exec

          public void exec(java.lang.String source,
                           int lineNo,
                           int columnNo,
                           java.lang.Object script)
                    throws org.apache.bsf.BSFException

      Execute a script.
      Specified by:
        `exec` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `exec` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`

    - #### initialize

          public void initialize(org.apache.bsf.BSFManager mgr,
                                 java.lang.String lang,
                                 java.util.Vector declaredBeans)
                          throws org.apache.bsf.BSFException

      Initialize the engine.
      Specified by:
        `initialize` in interface `org.apache.bsf.BSFEngine`
      Overrides:
        `initialize` in class `GroovyEngine`
      Throws:
        `org.apache.bsf.BSFException`